Bug 133802 - sis 5513 ide corruption
sis 5513 ide corruption
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alan Cox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 12:38 EDT by Dan Slowik
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Slowik 2004-09-27 12:38:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Stock fedora core with 2.6.5-1.358 kernel fails to install on 
Intel system with SIS 5513 ide controller.

Has problems reading hard drives can barely get past the install.
Been having this problem ever since the 2.4 kernel.

Apparently still not fixed?

Version-Release number of selected component (if applicable):
2.6.5-1.358 fedora core 2

How reproducible:
Always

Steps to Reproduce:
1.install fedora core2
2.
3.
    

Actual Results:  sis 5513 ide drivers throw errors in kernel boot.  HD
makes funny noises when throwing read errors.  Can go back 2.2 kernel
and all is fine.

On 2.4 kernel on up it slowly keeps crashing and corrupting the HD data.

Expected Results:  sis 5513 ide drivers should communicate properly.

Additional info:

Can go back to 2.2 kernel and all is fine.
Comment 1 Dan Slowik 2004-09-27 12:40:49 EDT
Hard drives and chipset throw seek errors
Comment 2 Dan Slowik 2004-09-27 13:00:18 EDT
hdc: irq timeout: status=0x58 { DriveReady SeekComplete DataRequest }
Comment 3 Dan Slowik 2004-10-09 13:34:12 EDT
This may be more helpful.  Motherboard is asus sp97-v. The actual
chipset on the board is a sis 5598.  Here is the output from dmesg.
hdparm -d0 /dev/hda or hdb does not help.  Linux seems to want to use
a sis5513.


Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
SIS5513: IDE controller at PCI slot 00:01.1
PCI: Found IRQ 11 for device 00:01.1
SIS5513: chipset revision 208
SIS5513: not 100% native mode: will probe irqs later
SIS5513: SiS5597 ATA 33 controller
    ide0: BM-DMA at 0xd000-0xd007, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xd008-0xd00f, BIOS settings: hdc:DMA, hdd:pio
hda: Maxtor 82187 A5, ATA DISK drive
hdb: SAMSUNG VG32163A (2.16GB), ATA DISK drive
blk: queue c03bd480, I/O limit 4095Mb (mask 0xffffffff)
blk: queue c03bd5bc, I/O limit 4095Mb (mask 0xffffffff)
hdc: FX820S, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: attached ide-disk driver.
hda: task_no_data_intr: status=0x51 { DriveReady SeekComplete Error }
hda: task_no_data_intr: error=0x04 { DriveStatusError }
hda: 4282991 sectors (2193 MB) w/128KiB Cache, CHS=531/128/63, DMA
hdb: attached ide-disk driver.
hdb: task_no_data_intr: status=0x51 { DriveReady SeekComplete Error }
hdb: task_no_data_intr: error=0x04 { DriveStatusError }
hdb: 4225536 sectors (2163 MB) w/496KiB Cache, CHS=524/128/63, UDMA(33)
h
Comment 4 Dave Jones 2005-02-24 00:39:51 EST
is this still a problem with current kernels ?
Comment 5 Dave Jones 2005-04-16 00:16:42 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.